org.apache.storm.trident.windowing

## Class InMemoryWindowsStore

- java.lang.Object
- - org.apache.storm.trident.windowing.InMemoryWindowsStore

- All Implemented Interfaces:
    Serializable, WindowsStore

      public class InMemoryWindowsStore
      extends Object
      implements WindowsStore, Serializable

  Inmemory store implementation of `WindowsStore` which can be backed by persistent store.

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.storm.trident.windowing.WindowsStore

      `WindowsStore.Entry`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.storm.trident.windowing.WindowsStore

      `KEY_SEPARATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InMemoryWindowsStore()`
    `InMemoryWindowsStore(int maxSize, WindowsStore backingStore)` Creates a new in-memory window store.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterable<Object>` | `get(List<String> keys)`
    `Object` | `get(String key)`
    `Iterable<String>` | `getAllKeys()`
    `void` | `put(String key, Object value)`
    `void` | `putAll(Collection<WindowsStore.Entry> entries)`
    `void` | `remove(String key)`
    `void` | `removeAll(Collection<String> keys)`
    `void` | `shutdown()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InMemoryWindowsStore

          public InMemoryWindowsStore()

    - #### InMemoryWindowsStore

          public InMemoryWindowsStore(int maxSize,
                                      WindowsStore backingStore)

      Creates a new in-memory window store.

      Parameters:
        `maxSize` - maximum size of inmemory store
        `backingStore` - backing store containing the entries

  - ### Method Detail

    - #### get

          public Object get(String key)

      Specified by:
        `get` in interface `WindowsStore`

    - #### get

          public Iterable<Object> get(List<String> keys)

      Specified by:
        `get` in interface `WindowsStore`

    - #### getAllKeys

          public Iterable<String> getAllKeys()

      Specified by:
        `getAllKeys` in interface `WindowsStore`

    - #### put

          public void put(String key,
                          Object value)

      Specified by:
        `put` in interface `WindowsStore`

    - #### putAll

          public void putAll(Collection<WindowsStore.Entry> entries)

      Specified by:
        `putAll` in interface `WindowsStore`

    - #### remove

          public void remove(String key)

      Specified by:
        `remove` in interface `WindowsStore`

    - #### removeAll

          public void removeAll(Collection<String> keys)

      Specified by:
        `removeAll` in interface `WindowsStore`

    - #### shutdown

          public void shutdown()

      Specified by:
        `shutdown` in interface `WindowsStore`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2019 The Apache Software Foundation. All rights reserved.